Subject: Re: BDR election in a graceful restart

From: "Shen, Yimin" <[email-masked]>
Date: Fri, 5 Nov 2004 12:01:45 -0500

Acee,

Thanks! But theoretically if the helpers can maintain the restarting router's BDR status just like what they do for a restarting DR, the impact of restart on the network would be minimized further. (When a DR is restarting, it also needs to re-establish all the adjacencies, which is the same situation as BDR restarting.)

On the hand, as you point out, we do expect a BDR change during a BDR graceful restart. I think what will happen is that  every router will start to establish an adjacency with the new BDR, and so new router LSAs and network LSAs will be advertised. If all this happens before the restarting router finishes the graceful restart, the helpers may exit helper mode because they would need to install new LSAs in their databases (RFC3623 section 3.2 item 3)). Of course, this would depend on timing.

Regards,

- Yimin

-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Friday, November 05, 2004 11:37 AM
To: [email-masked]
Subject: Re: BDR election in a graceful restart

----- Original Message -----
From: "Shen, Yimin" <[email-masked]>
To: <[email-masked]>
Sent: Friday, November 05, 2004 11:16 AM
Subject: BDR election in a graceful restart

> Hi,
>
> In RFC 3623 section 3 "Operation of Helper Neighbor", it says the following:
>
> "... if X was the Designated Router on network segment S when the helping relationship began, Y maintains X as the Designated
> Router until the helping relationship is terminated."
> However, it doesn't mention what should happen if X is a BDR. If a BDR is undergoing a graceful restart, is it expected that
> another router which has the highest priority among all routers (excluding the current DR) on the same network segment S to be
> elected as a new BDR ?
>

Hi Yimin,
This is exactly what happens. Since the restarting router must reestablish an adjacency anyway
there is really no savings by preserving the BDR state across restarts. However, depending on
timing the restarting router may become BDR.
Hope this helps,
Acee

> Thanks in advance.
> - Yimin Shen

---

From: Acee Lindem <[email-masked]>
Date: Fri, 5 Nov 2004 12:15:53 -0500

----- Original Message -----
From: "Shen, Yimin" <[email-masked]>
To: <[email-masked]>
Sent: Friday, November 05, 2004 12:01 PM
Subject: Re: BDR election in a graceful restart

> Acee,
>
> Thanks! But theoretically if the helpers can maintain the restarting router's BDR status just like what they do for a restarting
> DR, the impact of restart on the network would be minimized further. (When a DR is restarting, it also needs to re-establish all
> the adjacencies, which is the same situation as BDR restarting.)

Yimin,

A router performing graceful restart as defined in RFC 3623 also has to
reestablish its adjacencies.

>
> On the hand, as you point out, we do expect a BDR change during a BDR graceful restart. I think what will happen is that  every
> router will start to establish an adjacency with the new BDR, and so new router LSAs and network LSAs will be advertised. If all
> this happens before the restarting router finishes the graceful restart, the helpers may exit helper mode because they would need
> to install new LSAs in their databases (RFC3623 section 3.2 item 3)). Of course, this would depend on timing.

Not exactly, according to RFC 2328 the BDR state doesn't impact router and
network LSA originations. However, I believe there are implementations where
the BDR state is reflected in the router and network LSAs.